@echo off
cls
echo Welcome to ARA Tools! (c) VTT Electronics 1990-1994, Finland
echo This batch file demonstrates automatically how to use different ARA Tools
echo in MS DOS environment
echo ÿ
echo First, you will see how ARA Simulator is used:
echo ÿ
echo    'arasim step02.lot'
echo ÿ
echo press any key to continue
waitick 500
play arademo1.log arasim.exe step02.lot
echo ÿ
echo Now the file step02.lts contains the state space of the Alternating
echo Bit Protocol.
echo ÿ
echo Because the step02.lts is quite large, it is handy that you can use
echo ARA Normalizer to reduce its size:
echo ÿ
echo    'aranor step02.lts step02.ltn'
echo ÿ
echo press any key to continue
waitick 500
echo ÿ
aranor step02.lts step02.ltn
echo ÿ
echo The file step02.ltn is much smaller than the original file, but
echo its externally visible behaviour is equal. The extension LTN indicates
echo that it is an reduced LTS file
echo ÿ
echo The ARA Illustrator can be used to show LTS file in graphical form
echo ÿ
echo    'araillu step02.ltn -xyo'
echo ÿ
echo press any key to continue
waitick 500
play arademo2.log araillu.exe step02.ltn -xyo
echo ÿ
echo You can compare the previous picture to the LTS in the User's Manual,
echo Section 3.6
echo ÿ
echo If you want to manually go through this demonstration, type following
echo commands
echo ÿ
echo    arasim step02.lot
echo       - type following commands:
echo             use
echo             gen
echo             write step02.lts
echo             quit
echo    aranor step02.lts step02.ltn
echo    araillu step02.ltn -xyo
echo       - press 'return' key to exit the program
